%define section         non-free

%define origin          blackdown
%define priority        1421
%define javaver         1.4.2
%define buildver        01

%define name            java-%{javaver}-%{origin}
%define version         %{javaver}.%{buildver}
%define release         1jpp

%define toplevel_dir    j2sdk%{javaver}
%define sdklnk          java-%{javaver}-%{origin}
%define jrelnk          jre-%{javaver}-%{origin}
%define sdkdir          %{name}-%{version}
%define jredir          %{sdkdir}/jre
%define sdkbindir       %{_jvmdir}/%{sdklnk}/bin
%define jrebindir       %{_jvmdir}/%{jrelnk}/bin
%define jvmjardir       %{_jvmjardir}/%{name}-%{version}

%define fontdir         %{_datadir}/fonts/java
%define x11bindir       %{_prefix}/X11R6/bin
%define x11encdir       %{_prefix}/X11R6/lib/X11/fonts/encodings

%define cvs_version     %{javaver}-%{buildver}

%define javaws_ver      1.2.0
%define javaws_version  1_2_0_%{buildver}

%define pluginname      %{_jvmdir}/%{jredir}/plugin/i386/netscape7/javaplugin_oji.so

# Avoid RPM 4.2+'s internal dep generator, it may produce bogus
# Provides/Requires here.
%define _use_internal_dependency_generator 0

# This prevents aggressive stripping on RHL 9.
%define debug_package %{nil}

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        Blackdown Java Runtime Environment
License:        Sun Binary Code License
Group:          Development/Interpreters
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://www.blackdown.org/
Source0:        ftp://metalab.unc.edu/pub/linux/devel/lang/java/blackdown.org/JDK-1.4.2/i386/01/j2sdk-1.4.2-01-linux-i586.bin
NoSource:       0
Provides:       jre-%{javaver}-%{origin} = %{epoch}:%{version}-%{release}
Provides:       jre-%{origin} = %{epoch}:%{version}-%{release}
Provides:       jre-%{javaver}, java-%{javaver}, jre = 0:%{javaver}
Provides:       java-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java = 0:%{javaver}
Requires:       /usr/sbin/update-alternatives
Requires:       jpackage-utils >= 0:1.5.26
Conflicts:      kaffe
BuildArch:      i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5.26, sed
Provides:       javaws = %{javaws_ver}
Provides:       jndi = %{epoch}:%{version}-%{release}
Provides:       jndi-ldap = %{epoch}:%{version}-%{release}
Provides:       jndi-cos = %{epoch}:%{version}-%{release}
Provides:       jndi-rmi = %{epoch}:%{version}-%{release}
Provides:       jndi-dns = %{epoch}:%{version}-%{release}
Provides:       jaas = %{epoch}:%{version}-%{release}
Provides:       jsse = %{epoch}:%{version}-%{release}
Provides:       jce = %{epoch}:%{version}-%{release}
Provides:       jdbc-stdext = 0:3.0, jdbc-stdext = %{epoch}:%{version}-%{release}

%description
This package contains the Blackdown Java Runtime Environment.

%package        devel
Summary:        Blackdown Java Development Kit
Group:          Development/Compilers
Requires:       /usr/sbin/update-alternatives
Provides:       java-sdk-%{javaver}-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java-sdk-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java-sdk-%{javaver}, java-sdk = 0:%{javaver}
Provides:       java-devel-%{origin} = %{epoch}:%{version}-%{release}
Provides:       java-%{javaver}-devel, java-devel = 0:%{javaver}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The Java(tm) Development Kit (JDK(tm)) contains the software and tools
that developers need to compile, debug, and run applets and
applications written using the Java programming language.

%package        src
Summary:        Source files for the Blackdown Java Development Kit
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    src
%{summary}.

%package        demo
Summary:        Demonstration files for the Blackdown Java Development Kit
Group:          Development/Interpreters
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    demo
%{summary}.

%package        plugin
Summary:        Blackdown Java plugin for web browsers
Group:          Internet/WWW/Browsers
Requires:       %{name} = %{epoch}:%{version}-%{release}, %{_bindir}/mozilla
Requires:       %{_bindir}/find, sed
Provides:       java-plugin = %{javaver}, java-%{javaver}-plugin
Conflicts:      java-%{javaver}-ibm-plugin, java-%{javaver}-sun-plugin
Conflicts:      java-%{javaver}-bea-plugin
Obsoletes:      java-1.3.1-plugin, java-1.4.0-plugin

%description    plugin
%{summary}.

%package        jdbc
Summary:        Blackdown JDBC/ODBC bridge driver
Group:          Development/Libraries/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    jdbc
%{summary}.

%package        fonts
Summary:        TrueType fonts for Blackdown JVMs
Group:          Text Processing/Fonts
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{_bindir}/ttmkfdir
Requires:       %{_sbindir}/chkfontpath
Requires:       %{x11bindir}/mkfontdir
Requires:       %{_bindir}/perl
Provides:       java-fonts = %{javaver}, java-%{javaver}-fonts
Conflicts:      java-%{javaver}-ibm-fonts, java-%{javaver}-sun-fonts
Conflicts:      java-%{javaver}-bea-fonts
Obsoletes:      java-1.3.1-fonts, java-1.4.0-fonts

%description    fonts
%{summary}.


%prep
rm -rf $RPM_BUILD_DIR/%{toplevel_dir}
# Uh-oh.  The script seems to exit with 3 on successful exctraction :/
MORE=10000 sh %{SOURCE0} --nox11 <<EOF >/dev/null || :
yes
EOF
%setup -T -D -n %{toplevel_dir}
chmod -R go=u-w *
chmod -R u+w *
find . -type f -name "*.so" | xargs chmod 0755


%build
# Nope.


%install
rm -rf $RPM_BUILD_ROOT

# main files
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
cp -a bin include lib src.zip $RPM_BUILD_ROOT%{_jvmdir}/%{sdkdir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}

# extensions handling
install -d -m 755 $RPM_BUILD_ROOT%{jvmjardir}
pushd $RPM_BUILD_ROOT%{jvmjardir}
   ln -s %{_jvmdir}/%{jredir}/lib/jsse.jar jsse-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/jce.jar jce-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-ldap-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-cos-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jndi-rmi-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jaas-%{version}.jar
   ln -s %{_jvmdir}/%{jredir}/lib/rt.jar jdbc-stdext-%{version}.jar
   ln -s jdbc-stdext-%{version}.jar jdbc-stdext-3.0.jar
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|-%{javaver}.jar|g")
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

# rest of the jre
cp -a jre/.systemPrefs jre/bin jre/lib jre/plugin \
  $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}
install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/lib/endorsed

# version-less symlinks
pushd $RPM_BUILD_ROOT%{_jvmdir}
ln -s %{jredir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

pushd $RPM_BUILD_ROOT%{_jvmjardir}
ln -s %{sdkdir} %{jrelnk}
ln -s %{sdkdir} %{sdklnk}
popd

install -d -m 755 $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws
cp -a jre/javaws/* $RPM_BUILD_ROOT%{_jvmdir}/%{jredir}/javaws

# man pages
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
for gzmanpage in man/man1/*.gz; do
  gzip -d $gzmanpage
done
for manpage in man/man1/*.1; do
  install -p -m 644 $manpage $RPM_BUILD_ROOT%{_mandir}/man1/`basename $manpage .1`-%{name}.1
done

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a demo $RPM_BUILD_ROOT%{_datadir}/%{name}


### font handling
pushd $RPM_BUILD_ROOT/%{_jvmdir}/%{jredir}/lib

   # Remove font.properties and use the system-wide one -- NiM
   rm -f font.properties
   ln -fs %{_sysconfdir}/java/font.properties .

   # remove supplied fonts.dir in preference of the one to be dynamically generated -- Rex
   rm fonts/fonts.dir

   # These %ghost'd files are created properly in %post  -- Rex
   touch fonts/{fonts.{alias,dir,scale,cache-1},XftCache,encodings.dir}

   if [ "%{fontdir}" != "%{jredir}/lib/fonts" ] ; then
      install -d -m 755 $RPM_BUILD_ROOT%{fontdir}
      mv fonts/* $RPM_BUILD_ROOT%{fontdir}
      rmdir fonts
      ln -fs %{fontdir} fonts
   fi

popd


# Most of this shamelessly stolen from redhat's kdebase-2.2.2 specfile.

find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type d \
  | sed 's|'$RPM_BUILD_ROOT'|%dir |' >  %{name}-%{version}-all.files
find $RPM_BUILD_ROOT%{_jvmdir}/%{jredir} -type f -o -type l \
  | sed 's|'$RPM_BUILD_ROOT'||'      >> %{name}-%{version}-all.files

grep plugin %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-plugin.files
grep Jdbc   %{name}-%{version}-all.files | sort \
  > %{name}-%{version}-jdbc.files
cat %{name}-%{version}-all.files \
  | grep -v plugin \
  | grep -v Jdbc \
  | grep -v lib/fonts \
  | grep -v jre/lib/security \
  > %{name}-%{version}.files


%clean
rm -rf $RPM_BUILD_ROOT


%post
[ -f %{_mandir}/man1/java-%{name}.1.bz2 ] && ext="bz2"
[ -f %{_mandir}/man1/java-%{name}.1.gz ] && ext="gz"

update-alternatives --install %{_bindir}/java java %{jrebindir}/java %{priority} \
--slave %{_jvmdir}/jre                     jre                         %{_jvmdir}/%{jrelnk} \
--slave %{_jvmjardir}/jre                  jre_exports                 %{_jvmjardir}/%{jrelnk} \
--slave %{_bindir}/keytool                 keytool                     %{jrebindir}/keytool \
--slave %{_bindir}/orbd                    orbd                        %{jrebindir}/orbd \
--slave %{_bindir}/policytool              policytool                  %{jrebindir}/policytool \
--slave %{_bindir}/rmid                    rmid                        %{jrebindir}/rmid \
--slave %{_bindir}/rmiregistry             rmiregistry                 %{jrebindir}/rmiregistry \
--slave %{_bindir}/servertool              servertool                  %{jrebindir}/servertool \
--slave %{_bindir}/tnameserv               tnameserv                   %{jrebindir}/tnameserv \
--slave %{_mandir}/man1/javaws.1.$ext      javaws.1.$ext               %{_mandir}/man1/javaws-%{name}.1.$ext \
--slave %{_mandir}/man1/kinit.1.$ext       kinit.1.$ext                %{_mandir}/man1/kinit-%{name}.1.$ext \
--slave %{_mandir}/man1/klist.1.$ext       klist.1.$ext                %{_mandir}/man1/klist-%{name}.1.$ext \
--slave %{_mandir}/man1/ktab.1.$ext        ktab.1.$ext                 %{_mandir}/man1/ktab-%{name}.1.$ext \
--slave %{_mandir}/man1/java.1.$ext        java.1.$ext                 %{_mandir}/man1/java-%{name}.1.$ext \
--slave %{_mandir}/man1/keytool.1.$ext     keytool.1.$ext              %{_mandir}/man1/keytool-%{name}.1.$ext \
--slave %{_mandir}/man1/orbd.1.$ext        orbd.1.$ext                 %{_mandir}/man1/orbd-%{name}.1.$ext \
--slave %{_mandir}/man1/policytool.1.$ext  policytool.1.$ext           %{_mandir}/man1/policytool-%{name}.1.$ext \
--slave %{_mandir}/man1/rmid.1.$ext        rmid.1.$ext                 %{_mandir}/man1/rmid-%{name}.1.$ext \
--slave %{_mandir}/man1/rmiregistry.1.$ext rmiregistry.1.$ext          %{_mandir}/man1/rmiregistry-%{name}.1.$ext \
--slave %{_mandir}/man1/servertool.1.$ext  servertool.1.$ext           %{_mandir}/man1/servertool-%{name}.1.$ext \
--slave %{_mandir}/man1/tnameserv.1.$ext   tnameserv.1.$ext            %{_mandir}/man1/tnameserv-%{name}.1.$ext \
--slave %{_datadir}/javaws                 javaws                      %{_jvmdir}/%{jrelnk}/javaws \
--slave %{_bindir}/ControlPanel            ControlPanel                %{jrebindir}/ControlPanel

update-alternatives --install %{_jvmdir}/jre-%{origin} jre_%{origin} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{origin}        jre_%{origin}_exports       %{_jvmjardir}/%{jrelnk}

update-alternatives --install %{_jvmdir}/jre-%{javaver} jre_%{javaver} %{_jvmdir}/%{jrelnk} %{priority} \
--slave %{_jvmjardir}/jre-%{javaver}       jre_%{javaver}_exports      %{_jvmjardir}/%{jrelnk}

perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mailcap.bak 2>/dev/null
echo "type=application/x-java-jnlp-file; description=\"Java Web Start\"; exts=\"jnlp\"" >> %{_sysconfdir}/mailcap 2>/dev/null

perl -p -i -e "s#application/x-java-jnlp-file.*##" %{_sysconfdir}/mime.types 2>/dev/null
echo "application/x-java-jnlp-file      jnlp" >> %{_sysconfdir}/mime.types 2>/dev/null

%post devel
[ -f %{_mandir}/man1/javac-%{name}.1.bz2 ] && ext="bz2"
[ -f %{_mandir}/man1/javac-%{name}.1.gz ] && ext="gz"

update-alternatives --install %{_bindir}/javac javac %{sdkbindir}/javac %{priority} \
--slave %{_jvmdir}/java                     java_sdk                    %{_jvmdir}/%{sdklnk} \
--slave %{_jvmjardir}/java                  java_sdk_exports            %{_jvmjardir}/%{sdklnk} \
--slave %{_bindir}/appletviewer             appletviewer                %{sdkbindir}/appletviewer \
--slave %{_bindir}/extcheck                 extcheck                    %{sdkbindir}/extcheck \
--slave %{_bindir}/idlj                     idlj                        %{sdkbindir}/idlj \
--slave %{_bindir}/jar                      jar                         %{sdkbindir}/jar \
--slave %{_bindir}/jarsigner                jarsigner                   %{sdkbindir}/jarsigner \
--slave %{_bindir}/javadoc                  javadoc                     %{sdkbindir}/javadoc \
--slave %{_bindir}/javah                    javah                       %{sdkbindir}/javah \
--slave %{_bindir}/javap                    javap                       %{sdkbindir}/javap \
--slave %{_bindir}/jdb                      jdb                         %{sdkbindir}/jdb \
--slave %{_bindir}/native2ascii             native2ascii                %{sdkbindir}/native2ascii \
--slave %{_bindir}/rmic                     rmic                        %{sdkbindir}/rmic \
--slave %{_bindir}/serialver                serialver                   %{sdkbindir}/serialver \
--slave %{_bindir}/HtmlConverter            HtmlConverter               %{sdkbindir}/HtmlConverter \
--slave %{_mandir}/man1/appletviewer.1.$ext appletviewer.1.$ext         %{_mandir}/man1/appletviewer-%{name}.1.$ext \
--slave %{_mandir}/man1/extcheck.1.$ext     extcheck.1.$ext             %{_mandir}/man1/extcheck-%{name}.1.$ext \
--slave %{_mandir}/man1/idlj.1.$ext         idlj.1.$ext                 %{_mandir}/man1/idlj-%{name}.1.$ext \
--slave %{_mandir}/man1/jar.1.$ext          jar.1.$ext                  %{_mandir}/man1/jar-%{name}.1.$ext \
--slave %{_mandir}/man1/jarsigner.1.$ext    jarsigner.1.$ext            %{_mandir}/man1/jarsigner-%{name}.1.$ext \
--slave %{_mandir}/man1/javac.1.$ext        javac.1.$ext                %{_mandir}/man1/javac-%{name}.1.$ext \
--slave %{_mandir}/man1/javadoc.1.$ext      javadoc.1.$ext              %{_mandir}/man1/javadoc-%{name}.1.$ext \
--slave %{_mandir}/man1/javah.1.$ext        javah.1.$ext                %{_mandir}/man1/javah-%{name}.1.$ext \
--slave %{_mandir}/man1/javap.1.$ext        javap.1.$ext                %{_mandir}/man1/javap-%{name}.1.$ext \
--slave %{_mandir}/man1/jdb.1.$ext          jdb.1.$ext                  %{_mandir}/man1/jdb-%{name}.1.$ext \
--slave %{_mandir}/man1/native2ascii.1.$ext native2ascii.1.$ext         %{_mandir}/man1/native2ascii-%{name}.1.$ext \
--slave %{_mandir}/man1/rmic.1.$ext         rmic.1.$ext                 %{_mandir}/man1/rmic-%{name}.1.$ext \
--slave %{_mandir}/man1/serialver.1.$ext    serialver.1.$ext            %{_mandir}/man1/serialver-%{name}.1.$ext

update-alternatives --install %{_jvmdir}/java-%{origin} java_sdk_%{origin} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{origin}        java_sdk_%{origin}_exports  %{_jvmjardir}/%{sdklnk}

update-alternatives --install %{_jvmdir}/java-%{javaver} java_sdk_%{javaver} %{_jvmdir}/%{sdklnk} %{priority} \
--slave %{_jvmjardir}/java-%{javaver}       java_sdk_%{javaver}_exports %{_jvmjardir}/%{sdklnk}

%post fonts
{
    # Legacy font handling

    %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale

    # Fixup lame/broken 0-c-0 entries in fonts.scale -- Rex
    %{_bindir}/perl -pi -e 's@0-c-0@0-p-0@g' %{fontdir}/fonts.scale

    %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

    %{_sbindir}/chkfontpath -q -a %{fontdir}

    # Modern font handling
    # These commands will be executed on upgrade by their respective packages
    if [ -x %{_bindir}/fc-cache ] ; then
         %{_bindir}/fc-cache -f %{_datadir}/fonts
    fi

    if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
    fi

    if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
    fi

} &> /dev/null || :

%triggerin plugin -- mozilla, %{_bindir}/mozilla
{
   # Read current mozilla root value, deduce plugin dir
   _MOZILLA_PLUGIN_DIR=$(sed -n -e 's|"||g' -e 's|^MOZ_DIST_BIN=\(.*\)$|\1|p' %{_bindir}/mozilla)/plugins

   [ -d "$_MOZILLA_PLUGIN_DIR" ] && ln -sf %pluginname $_MOZILLA_PLUGIN_DIR/javaplugin_oji.so
} &> /dev/null || :

%triggerun plugin -- mozilla, %{_bindir}/mozilla
{
   # Do not remove links on upgrade
   [ $2 -eq 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%postun plugin
{
   [ $1 -eq 0 ] || exit 0
   # Only remove our own links
   rm -f $(find %{_libdir}/mozilla* -lname %pluginname)
} &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    update-alternatives --remove java %{jrebindir}/java
    update-alternatives --remove jre_%{origin}  %{_jvmdir}/%{jrelnk}
    update-alternatives --remove jre_%{javaver} %{_jvmdir}/%{jrelnk}
fi

%postun devel
if [ $1 -eq 0 ]; then
    update-alternatives --remove javac %{sdkbindir}/javac
    update-alternatives --remove java_sdk_%{origin}  %{_jvmdir}/%{sdklnk}
    update-alternatives --remove java_sdk_%{javaver} %{_jvmdir}/%{sdklnk}
fi

%postun fonts
# Rehash the font dir to keep only stuff manually installed
{
   [ $1 -eq 0 ] || exit 0

   if [ -d %{fontdir} ] && [ $(find %{fontdir} \
        -follow -type f -iname "*.ttf" -printf "\b\b\b\btrue") ] ; then

        %{_bindir}/ttmkfdir -d %{fontdir} -o %{fontdir}/fonts.scale
        %{x11bindir}/mkfontdir -e %{x11encdir} -e %{x11encdir}/large %{fontdir}

   else
        chkfontpath -q -r %{fontdir}
   fi

   if [ -x %{_bindir}/fc-cache ] ; then %{_bindir}/fc-cache -f ; fi

   if [ -x %{_bindir}/redhat-update-gnome-font-install ] ; then
        %{_bindir}/redhat-update-gnome-font-install
   fi

   if [ -x %{_bindir}/redhat-update-gnome-font-install2 ] ; then
        %{_bindir}/redhat-update-gnome-font-install2
   fi
} || :


%files -f %{name}-%{version}.files
%defattr(-,root,root,-)
%doc jre/CHANGES jre/COPYRIGHT jre/LICENSE jre/README jre/*.html
%dir %{_jvmdir}/%{sdkdir}
%dir %{jvmjardir}
%{_jvmdir}/%{jredir}/lib/fonts
%dir %{_jvmdir}/%{jredir}/lib/security
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/cacerts
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.policy
%config(noreplace) %{_jvmdir}/%{jredir}/lib/security/java.security
%{_jvmdir}/%{jredir}/lib/security/*.jar
%{jvmjardir}/*.jar
%{_jvmdir}/%{jrelnk}
%{_jvmjardir}/%{jrelnk}
%{_mandir}/man1/java-%{name}.1*
%{_mandir}/man1/keytool-%{name}.1*
%{_mandir}/man1/orbd-%{name}.1*
%{_mandir}/man1/policytool-%{name}.1*
%{_mandir}/man1/rmid-%{name}.1*
%{_mandir}/man1/rmiregistry-%{name}.1*
%{_mandir}/man1/servertool-%{name}.1*
%{_mandir}/man1/tnameserv-%{name}.1*
%{_mandir}/man1/javaws-%{name}.1*
%{_mandir}/man1/kinit-%{name}.1*
%{_mandir}/man1/klist-%{name}.1*
%{_mandir}/man1/ktab-%{name}.1*

%files devel
%defattr(-,root,root)
%doc COPYRIGHT LICENSE README README.html
%dir %{_jvmdir}/%{sdkdir}/bin
%dir %{_jvmdir}/%{sdkdir}/include
%dir %{_jvmdir}/%{sdkdir}/lib
%{_jvmdir}/%{sdkdir}/bin/*
%{_jvmdir}/%{sdkdir}/include/*
%{_jvmdir}/%{sdkdir}/lib/*
%{_jvmdir}/%{sdklnk}
%{_jvmjardir}/%{sdklnk}
%{_mandir}/man1/appletviewer-%{name}.1*
%{_mandir}/man1/extcheck-%{name}.1*
%{_mandir}/man1/idlj-%{name}.1*
%{_mandir}/man1/jar-%{name}.1*
%{_mandir}/man1/jarsigner-%{name}.1*
%{_mandir}/man1/javac-%{name}.1*
%{_mandir}/man1/javadoc-%{name}.1*
%{_mandir}/man1/javah-%{name}.1*
%{_mandir}/man1/javap-%{name}.1*
%{_mandir}/man1/jdb-%{name}.1*
%{_mandir}/man1/native2ascii-%{name}.1*
%{_mandir}/man1/rmic-%{name}.1*
%{_mandir}/man1/serialver-%{name}.1*

%files src
%defattr(-,root,root,-)
%{_jvmdir}/%{sdkdir}/src.zip

%files demo
%defattr(-,root,root,-)
%{_datadir}/%{name}

%files jdbc -f %{name}-%{version}-jdbc.files
%defattr(-,root,root,-)

%files plugin -f %{name}-%{version}-plugin.files
%defattr(-,root,root,-)

%files fonts
%defattr(0644,root,root,0755)
%dir %{fontdir}
%{fontdir}/*.ttf
%ghost %{fontdir}/fonts.dir
%ghost %{fontdir}/fonts.scale
%ghost %{fontdir}/fonts.alias
%ghost %{fontdir}/fonts.cache-1
%ghost %{fontdir}/XftCache
%ghost %{fontdir}/encodings.dir


%changelog
* Thu Feb 22 2005 David Walluck <david@jpackage.org> 0:1.4.2.01-1jpp
- 1.4.2.01

* Thu Sep 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.1.01-3jpp
- Merge accumulated improvements from the Sun JVM packages.

* Mon May 19 2003 Jaco Greeff <jaco at puxedo.org> 1.4.1.01-2jpp
- Fixed priority
- For the GCC 2.95 Blackdown version, pass the "--with gcc2" flag to the
  rpmbuild command. (Now we support both from a single spec file, default 
  is GCC 3.2)
- Font package conflicts not with itself, but with sun fonts package
- Fix plugin name and location

* Fri May 16 2003 Jaco Greeff <jaco at puxedo.org> 1.4.1.01-1jpp
- Initial 1.4.1.01 release (spec file based on Sun JDK 1.4.1.02-68jpp)
